[Split] The installer detected a timeout

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
User avatar
bperet
Registered User
Posts: 5
Joined: Wed Jan 11, 2006 7:41 pm
Location: Salt Lake City, Utah
Name: Bruce Peret
Contact:

[Split] The installer detected a timeout

Post by bperet » Wed Jan 31, 2018 9:49 pm

I am getting the same errors when trying to use the automatic upgrade package from 3.2.1 to 3.2.2.

PHP 5.6.33, database Postgres 9.6.6, CentOS 6.9

Same problem if you try to install 3.2.2 from the full package and update the database. Freezes at 35% with:

Code: Select all

The installer detected a timeout

The installer has detected a timeout, you may try to refresh the page, which may lead to data corruption. We suggest that you either increase your timeout settings or try to use the CLI.

Installing Data: \phpbb\db\migration\data\v32x\fix_user_styles.
Installed Schema: \phpbb\db\migration\data\v32x\fix_user_styles; Time: 0.00 seconds
Installing Schema: \phpbb\db\migration\data\v32x\fix_user_styles.
Installed Data: \phpbb\db\migration\data\v32x\email_force_sender; Time: 0.00 seconds
Installing Data: \phpbb\db\migration\data\v32x\email_force_sender.
Installed Schema: \phpbb\db\migration\data\v32x\email_force_sender; Time: 0.00 seconds
Installing Schema: \phpbb\db\migration\data\v32x\email_force_sender.
Installed Data: \phpbb\db\migration\data\v32x\f_list_topics_permission_add; Time: 0.13 seconds
Installing Data: \phpbb\db\migration\data\v32x\f_list_topics_permission_add.
Installed Schema: \phpbb\db\migration\data\v32x\f_list_topics_permission_add; Time: 0.00 seconds
Installing Schema: \phpbb\db\migration\data\v32x\f_list_topics_permission_add.
Obviously, no actual timeout as the upgrade crashes in under a second. I cannot get past this point.

With Postgresql, needless to say there is no "mysql" to change to "mysqli."

Any thoughts on how to upgrade for non-mysql users? Thanks.
Last edited by Mick on Thu Feb 01, 2018 12:45 pm, edited 1 time in total.
Reason: Split from https://www.phpbb.com/community/viewtopic.php?f=556&t=2457266

User avatar
bperet
Registered User
Posts: 5
Joined: Wed Jan 11, 2006 7:41 pm
Location: Salt Lake City, Utah
Name: Bruce Peret
Contact:

Re: [Split] The installer detected a timeout

Post by bperet » Tue Oct 30, 2018 8:44 pm

SAME problem with the automatic update from 3.2.2 to 3.2.3.

Postgresql 10 database will not update. It is NOT a timeout problem, as the message appears immediately. I would guess you are using a MySQL-specific command that is causing an error on Postgresql.

Code: Select all

The installer detected a timeout

The installer has detected a timeout, you may try to refresh the page, which may lead to data corruption. We suggest that you either increase your timeout settings or try to use the CLI.
You can get around the issue by manually updating the phpbb_config table and set "version" to 3.2.3.

User avatar
AbaddonOrmuz
Registered User
Posts: 436
Joined: Wed Dec 25, 2013 9:06 pm
Location: /dev/null
Name: Alfredo Ramos
Contact:

Re: [Split] The installer detected a timeout

Post by AbaddonOrmuz » Tue Oct 30, 2018 8:54 pm

If you have SSH access, try using the command line to upgrade the database:

Code: Select all

php bin/phpbbcli.php db:migrate --safe-mode
Reference:

https://www.phpbb.com/support/docs/en/3 ... upgrade31/
A proudly user of Arch Linux :: /r/sddm_themes

User avatar
warmweer
Registered User
Posts: 1466
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: [Split] The installer detected a timeout

Post by warmweer » Tue Oct 30, 2018 9:16 pm

bperet wrote:
Tue Oct 30, 2018 8:44 pm
SAME problem with the automatic update from 3.2.2 to 3.2.3.
Any specific reason you are using the autoupdate instead of full package (or changed files)?
Many, if not most, problems in updating mentioned in this Support Forum occur when using the autoupdate and were solved by using the full files or changed files package.
Did you try that?
A bug is a feature that hasn't made it to the manual (yet)

User avatar
bperet
Registered User
Posts: 5
Joined: Wed Jan 11, 2006 7:41 pm
Location: Salt Lake City, Utah
Name: Bruce Peret
Contact:

Re: [Split] The installer detected a timeout

Post by bperet » Sun Nov 04, 2018 9:41 pm

AbaddonOrmuz wrote:
Tue Oct 30, 2018 8:54 pm

Code: Select all

php bin/phpbbcli.php db:migrate --safe-mode
Segmentation fault (core dumped). Running on my development server as root.
Note that the upgrade works fine with MySQL databases--these are PostgreSQL 10.5.

PHP 7.3.0RC4 (cli) (built: Oct 23 2018 09:32:19) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.0-dev, Copyright (c) 1998-2018 Zend Technologies

Code: Select all

[root@devel public_html]# php bin/phpbbcli.php db:migrate --safe-mode
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-stdlib/src/ArrayObject.php on line 426
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 272
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 275
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 281
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 287
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 296
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 314
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /public_html/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 319
Segmentation fault (core dumped)

User avatar
Lumpy Burgertushie
Registered User
Posts: 65319
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: [Split] The installer detected a timeout

Post by Lumpy Burgertushie » Sun Nov 04, 2018 9:47 pm

kind of a wild guess here. revert back to an older version of php at least back to 7.1.?

then start over with your update. do NOT use the auto update at all.
follow these instructions:
https://www.phpbb.com/support/docs/en/3 ... ating-32x/
I am available for custom work on a donation basis. Please send me a PM with your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

OK, so what's the speed of dark?

User avatar
bperet
Registered User
Posts: 5
Joined: Wed Jan 11, 2006 7:41 pm
Location: Salt Lake City, Utah
Name: Bruce Peret
Contact:

Re: [Split] The installer detected a timeout

Post by bperet » Sun Nov 04, 2018 10:03 pm

warmweer wrote:
Tue Oct 30, 2018 9:16 pm
Any specific reason you are using the autoupdate instead of full package (or changed files)?
Many, if not most, problems in updating mentioned in this Support Forum occur when using the autoupdate and were solved by using the full files or changed files package.
Did you try that?
Tried it... Segmentation fault during db:migrate
Not been able to figure out what is causing the fault yet.

Post Reply

Return to “[3.2.x] Support Forum”

Who is online

Users browsing this forum: Atron, Badhon_raj, david63, stevemaury, tommyvin711 and 24 guests